Package org.eclipse.mat.inspections

# Class FindLeaksQuery2

java.lang.Object
org.eclipse.mat.inspections.FindLeaksQuery2

All Implemented Interfaces:
  `IQuery`

public class FindLeaksQuery2 extends Object implements IQuery

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FindLeaksQuery2.AccumulationPoint`
`static class`
`FindLeaksQuery2.SuspectsResultTable`

## Field Summary

Fields
Modifier and Type
Field
Description
`ISnapshot`
`baseline`
`double`
`big_drop_ratio`
`List<String>`
`excludes`
`String[]`
`extraReferences`
`File`
`extraReferencesListFile`
`double`
`group_suspects_accumulation_ratio`
`Pattern`
`mask`
`int`
`max_paths`
`String`
`options`
`ISnapshot`
`snapshot`
`int`
`threshold_percent`

## Constructor Summary

Constructors
Constructor
Description
`FindLeaksQuery2()`

## Method Summary

Modifier and Type
Method
Description
`IResult`
`execute(IProgressListener listener)`
The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### snapshot

public ISnapshot snapshot

### baseline

public ISnapshot baseline

### threshold_percent

public int threshold_percent

### max_paths

public int max_paths

### big_drop_ratio

public double big_drop_ratio

### group_suspects_accumulation_ratio

public double group_suspects_accumulation_ratio

### excludes

public List<String> excludes

### options

public String options

### mask

public Pattern mask

### extraReferences

public String[] extraReferences

### extraReferencesListFile

public File extraReferencesListFile

## Constructor Details

### FindLeaksQuery2

public FindLeaksQuery2()

## Method Details

### execute

public IResult execute(IProgressListener listener) throws Exception
Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query